%define anolis_release 4
%global modname Perl-OSType

Name:		perl-%{modname}
Epoch:		1
Version:	1.010
Release:	%{anolis_release}%{?dist}
Summary:	Map Perl operating system names to generic types
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/%{modname}
Source0:	https://cpan.metacpan.org/modules/by-module/Perl/%{modname}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	make coreutils
BuildRequires:	perl-generators perl-interpreter perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:	perl(Exporter) perl(strict) perl(warnings)
BuildRequires:	perl(blib) perl(constant) perl(File::Spec) perl(Test::More) >= 0.88

%description
This module provides a mapping between an operating system name as given by $^O
and a more generic type. The initial version is based on the OS type mappings
provided in Module::Build and ExtUtils::CBuilder.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Perl/
%{_mandir}/man3/Perl::OSType.3*.zst
%license LICENSE

%files doc
%doc Changes README CONTRIBUTING.mkdn

%changelog
* Mon Apr 10 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1:1.010-4
- Refactor the specfile

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.010-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.010-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:1.010-1
- Init package from upstream
